This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 820435

Summary: JBossAS 7 plugin unable to discover running JDG instances
Product: [Other] RHQ Project Reporter: Charles Crouch <ccrouch>
Component: PluginsAssignee: RHQ Project Maintainer <rhq-maint>
Status: CLOSED CURRENTRELEASE QA Contact: Mike Foley <mfoley>
Severity: high Docs Contact:
Priority: urgent    
Version: 4.4CC: ccrouch, hbrock, hrupp, mgencur
Target Milestone: ---   
Target Release: RHQ 4.5.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 820272 Environment:
Last Closed: 2013-09-01 06:17:46 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On: 820272    
Bug Blocks: 707223    

Description Charles Crouch 2012-05-09 18:29:06 EDT
+++ This bug was initially created as a clone of Bug #820272 +++

Description of problem:

The plugin is not able to auto-discover running JBoss Data Grid servers.

The problem is in class org.rhq.modules.plugins.jbossas7.JBossProductType, method determineJBossProductTypeViaProductConfFile:

slot.equals("edg") -> slot.equals("jdg")   ...JDG's product.conf file contains slot=jdg

method determineJBossProductTypeViaHomeDirName:

homeDirName.contains("-jdg-")  ...the server dir for JDG usually has "jboss-datagrid-server" in its name followed by version

--- Additional comment from hrupp@redhat.com on 2012-05-09 15:31:31 EDT ---

There are two parts of this:

- wrong detection of product and directory

master b8459c0d57e

- jdg server does not by default expose a http management port -> RHQ can not connect to it.

[21:29:26] <asantos> pilhuhn, that will be included in er8
Comment 1 Charles Crouch 2012-05-09 18:30:11 EDT
All RHQ related changes are done for this fix in master so pushing to ON_QA. Note target release is RHQ4.5
Comment 2 Heiko W. Rupp 2012-05-10 04:06:44 EDT
With JDG er8 discovery works as expected

snert:/im/rhq/modules/enterprise/agent/target/rhq-agent hrupp$
bin/standalone.sh 
Listening for transport dt_socket at address: 8788

Starting the plugin container.
Loading plugins
...Loaded plugin: JBossAS7
...Loaded plugin: Platforms

Ready.
[0]:0 > disc s
Discovery took: 1365ms
[Resource[id=-3, uuid=fd425fbd-cfb9-4031-aaba-dbb669163e61,
type={JBossAS7}JBossAS7 Standalone Server,
key=/devel/jboss-datagrid-server-6.0.0.ER8/standalone, name=JDG
(127.0.0.1:9990), parent=dhcp-0-204.str.redhat.com, version=JDG 6.0.0.ER8]]
[1]:0 > set id -3
[2]:-3 > avail .     
JDG (127.0.0.1:9990)( -3 ):DOWN
[3]:-3 > invoke installRhqUser user=rhqadmin||password=rhqadmin
[PropertySimple[id=0, name=operationResult, value=Management user [rhqadmin]
added., override=null]]
[4]:-3 > avail .
JDG (127.0.0.1:9990)( -3 ):UP
Comment 3 Heiko W. Rupp 2013-09-01 06:17:46 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.